=== requirements/requirements.txt ===
qtpy
Sphinx
