=== debian/changelog ===
git-cola (3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 05 Feb 2019 19:55:06 +0000
