## git-cola 3.6

=== Makefile ===
--- 
+++ 
@@ -73,6 +73,10 @@
 
 PYTEST_FLAGS = $(QUIET) $(TEST_VERBOSE)
 PYTEST_FLAGS += --doctest-modules
+uname_S := $(shell uname -s)
+ifneq ($(uname_S),Linux)
+    PYTEST_FLAGS += --ignore=cola/inotify.py
+endif
 
 TOX_FLAGS = $(VERBOSE_SHORT) --develop --skip-missing-interpreters
 
@@ -271,16 +275,21 @@
 	$(MARKDOWN) $< >$@
 
 flake8:
+	$(FLAKE8) --version
 	$(FLAKE8) $(FLAKE8_FLAGS) $(flags) \
 	$(PYTHON_SOURCES) $(ALL_PYTHON_DIRS) contrib
 .PHONY: flake8
 
-pylint3k:
+pylint-version:
+	$(PYLINT) --version
+.PHONY: pylint-version
+
+pylint3k: pylint-version
 	$(PYLINT) $(PYLINT_FLAGS) --py3k $(flags) \
 	$(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
 .PHONY: pylint3k
 
-pylint:
+pylint: pylint-version
 	$(PYLINT) $(PYLINT_FLAGS) $(flags) \
 	$(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
 .PHONY: pylint
