=== debian/changelog ===
git-cola (3.6-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 Dec 2019 15:54:01 +0000
