=== debian/watch ===
version=4
https://github.com/git-cola/git-cola/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Thu, 22 Nov 2012 14:17:58 +0000
