=== debian/changelog ===
git-cola (3.7-2) unstable; urgency=medium

  * Remove python3-sip dependency (closes: #966031).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Jul 2020 11:15:00 +0200

git-cola (3.7-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 26 May 2020 20:15:59 +0200
