## git-cola 3.8

=== debian/changelog ===
git-cola (3.8-1) unstable; urgency=medium

  * New upstream release.
  * Link HTML5 Shiv JavaScript files to their respective ones in
    node-html5shiv.
  * Update packaging bits.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Sep 2020 16:55:40 +0200
