=== debian/changelog ===
git-cola (3.9-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream metadata.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 24 Feb 2021 06:58:21 +0100
