=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Recommends: gitk, xxdiff, tclsh
 Suggests: python3-pyinotify, python3-simplejson
 Description: highly caffeinated git GUI
- Git-cola is a git GUI optimized for working with the git index. 
+ Git-cola is a git GUI optimized for working with the git index.
  .
  Git-cola can compare arbitrary commits using standard merge tools.
  With it you can search commit messages, content, authors, paths,
