=== debian/watch ===
version=4
https://github.com/git-cola/git-cola/tags .*/v?(\d\S*)@ARCHIVE_EXT@
# Bart Martens <bartm@debian.org>  Thu, 22 Nov 2012 14:17:58 +0000
