## git-cola 3.10.1

=== debian/changelog ===
git-cola (3.10.1-2) unstable; urgency=medium

  * Upload to Sid.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 08 Oct 2021 19:59:21 +0200

git-cola (3.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Update homepage location.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 20 Jul 2021 20:48:46 +0200
