## git-cola 3.11.0

=== debian/changelog ===
git-cola (3.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Oct 2021 23:17:33 +0200
