## git-cola 3.12.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Development
 # -----------
 # make V=1                      # generate files; V=1 increases verbosity
-# make test [flags=...]         # run tests; flags=-x fails fast
+# make test [flags=...]         # run tests; flags=-x fails fast, --ff failed first
 # make test V=2                 # V=2 increases test verbosity
 # make doc                      # build docs
 # make flake8                   # python style checks
@@ -44,9 +44,9 @@
 MARKDOWN = markdown
 MKDIR_P = mkdir -p
 PIP = pip
-PYLINT = pylint
 PYTHON ?= python
-PYTEST = $(PYTHON) -m pytest
+PYLINT = $(PYTHON) -B -m pylint
+PYTEST = $(PYTHON) -B -m pytest
 RM = rm -f
 RM_R = rm -fr
 RMDIR = rmdir
@@ -71,21 +71,22 @@
 FLAKE8_FLAGS = $(VERBOSE)
 
 PYTEST_FLAGS = $(QUIET) $(TEST_VERBOSE)
-PYTEST_FLAGS += --doctest-modules
 uname_S := $(shell uname -s)
 ifneq ($(uname_S),Linux)
     PYTEST_FLAGS += --ignore=cola/inotify.py
 endif
 
 TOX_FLAGS = $(VERBOSE_SHORT) --develop --skip-missing-interpreters
-TOX_ENVS ?= py{27,34,35,36,37},pylint{2,36,37}
-
+TOX_ENVS ?= py{27,36,37,38,39,lint}
+
+PYLINT_SCORE_FLAG := $(shell sh -c '$(PYLINT) --score=no --help >/dev/null 2>&1 && echo " --score=no" || true')
 PYLINT_FLAGS = --rcfile=.pylintrc
-PYLINT_FLAGS += --score=no
 ifdef color
     PYLINT_FLAGS += --output-format=colorized
 endif
-
+ifneq ($(PYLINT_SCORE_FLAGSCORE),)
+    PYLINT_FLAGS += $(PYLINT_SCORE_FLAG)
+endif
 
 # These values can be overridden on the command-line or via config.mak
 prefix = $(HOME)
@@ -100,7 +101,10 @@
 cola_base := git-cola
 cola_app_base= $(cola_base).app
 cola_app = $(CURDIR)/$(cola_app_base)
-cola_version = $(shell $(PYTHON) bin/git-cola version --brief)
+
+# Read $(VERSION) from cola/_version.py and strip quotes.
+include cola/_version.py
+cola_version := $(subst ',,$(VERSION))
 cola_dist := $(cola_base)-$(cola_version)
 
 SETUP ?= $(PYTHON) setup.py
@@ -160,12 +164,6 @@
 	$(LN_S) "$(datadir)/icons/git-cola.svg" \
 		"$(DESTDIR)$(hicolordir)/git-cola.svg"
 	$(LN_S) git-cola "$(DESTDIR)$(bindir)/cola"
-
-# Maintainer's dist target
-.PHONY: dist
-dist:
-	$(GIT) archive --format=tar --prefix=$(cola_dist)/ HEAD^{tree} | \
-		$(GZIP) -f -9 - >$(cola_dist).tar.gz
 
 .PHONY: doc
 doc:
@@ -305,10 +303,11 @@
 	$(PYLINT) $(PYLINT_FLAGS) --output-format=colorized $(flags) $(file)
 	$(PYLINT) $(PYLINT_FLAGS) --output-format=colorized --py3k $(flags) $(file)
 else
+# NOTE: flake8 is not part of "make check" because the pytest-flake8 plugin runs flake8
+# checks during "make test" via pytest.
 check:: all
 check:: test
 check:: doc
-check:: flake8
 check:: pylint3k
 check:: pylint
 endif
@@ -334,4 +333,4 @@
 
 .PHONY: tox-check
 tox-check:
-	$(TOX) $(TOX_FLAGS) -e "$(TOX_ENVS)" $(flags)
+	$(TOX) $(TOX_FLAGS) --parallel auto -e "$(TOX_ENVS)" $(flags)
