=== debian/changelog ===
git-cola (3.12.0-2) unstable; urgency=medium

  * Remove python3-nose from Build-Depends (closes: #1018369).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 02 Sep 2022 15:53:51 +0200

git-cola (3.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Feb 2022 10:00:48 +0100
