=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export GIT_COLA_NO_PRIVATE_LIBS=1
export GIT_COLA_NO_VENDOR_LIBS=1

package=git-cola
PKGDIR=$(CURDIR)/debian/$(package)
HTMLDIR=$(PKGDIR)/usr/share/doc/git-cola/html

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	PYTHON=python3 $(MAKE) all doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	find . -name "*.pyc" -delete
	rm -f $(CURDIR)/share/doc/git-cola/_build/html/.buildinfo

install: build
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	PYTHON=python3 $(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install install-man install-doc install-html
#!/usr/bin/env python
	sed -i 's|env python|env python3|' \
		$(PKGDIR)/usr/lib/python3*/site-packages/cola/widgets/spellcheck.py
	find . -name "*.pyc" -delete

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -XCHANGELOG
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_python3
	$(RM) $(PKGDIR)/usr/share/doc/git-cola/html/static/jquery.js
	dh_link /usr/share/javascript/jquery/jquery.js \
		/usr/share/doc/git-cola/html/static/jquery.js
	$(RM) $(PKGDIR)/usr/share/doc/git-cola/html/static/underscore.js
	dh_link /usr/share/javascript/underscore/underscore.js \
		/usr/share/doc/git-cola/html/static/underscore.js
	$(RM) $(PKGDIR)/usr/share/doc/git-cola/html/static/js/html5shiv.min.js
	dh_link /usr/share/nodejs/html5shiv/dist/html5shiv.min.js \
		/usr/share/doc/git-cola/html/static/js/html5shiv.min.js
	$(RM) $(PKGDIR)/usr/share/doc/git-cola/html/static/js/html5shiv-printshiv.min.js
	dh_link /usr/share/nodejs/html5shiv/dist/html5shiv-printshiv.min.js \
		/usr/share/doc/git-cola/html/static/js/html5shiv-printshiv.min.js
	sed -i "s|https://cdnjs.\+modernizr.min.js|/usr/share/javascript/modernizr/modernizr.min.js|" \
		$(HTMLDIR)/*.html
	dh_strip
	dh_compress -Xobjects.inv
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
